<template>
  <h1 class="pb-8 text-2xl">Список пользователей:</h1>
  <ul>    
    <ModuleItem 
      v-for="user in users" 
      :key="user.customer_id" 
      :user="user" 
      @save="save" 
    />
  </ul>
</template>

<script>
import ModuleItem from './ModuleItem.vue';

export default {
  name: 'ModuleList',
  components: {
    ModuleItem,
  },
  data() {
    return {
      users: [
        {
          customer_id: 'user1',
          server_name: 'server7',
          server_type: 'vds'
        },
        {
          customer_id: 'user5',
          server_name: 'server2',
          server_type: 'dedicated'
        },
        {
          customer_id: 'user3',
          server_name: 'server4',
          server_type: 'hosting'
        }
      ],
    }
  },
  methods: {
    save(user) {
      this.users = this.users.map((i) => {
        if (i.customer_id === user.id) {
          i = {
            customer_id: user.id,
            server_name: user.name,
            server_type: user.type
          }
        }
        return i
      })
    }
  }
}
</script>